# 32位 封闭进位加法器

## 基本描述

计算两组32位整数的和。输入输出并不完全同步,每8位为一组(组间具有2rt进位延迟)。同步输入不影响最终结果(但会带来计算毛刺)。总延迟为10rt。含火把。体积小,速度快。建议用于无2rt流水线电路

## 原视频链接：[点击传送](https://www.bilibili.com/video/BV1Ni4y1M7Qj)

## 元件信息

- 适用版本
  - Java版 1.6+
- 作者
  - Fredbill
- 存档位置
  - `32 4 32`
- 电路类型
  - 算术电路
- 电路大小
  - `6 × 67 × 9`
- 总延迟
  - `4 + 6 = 10`

### 标签

- `小型模块`
- `算术运算模块`
- `加/减法器`
- `二级模块`
- `静音`
- `传统红石`
- `无容器`
- `Java版`

## 模块参数列表

| 端口列表  | 位宽 | 位置   | 延迟 | 注释 |
| -------- | --- | ----- | -------- | ---- |
| 输入数据A | 32 | 1 3 1 | 0+2[N mod 8] | 加数A                          |
| 输入数据B | 32 | 4 3 1 | 0+2[N mod 8] | 加数B                          |
| 输出数据  | 32 | 5 2 9 | 4+2[N mod 8] | 和                            |
| 进位输入  | 1 | 3 2 6 |  0       | 低位进位 |
| 标志位    | 1 | 5 65 9 | 11       | 溢出      |

## 模块指标列表

| 指标项目 | 参数 | 指标项目 | 参数 |
| ------------------ | --- | ---------------- | --- |
| 火把         | 有 | 2rt流水线 | 不支持  |
| 活塞         | 无  | 红石粉 | 有  |
| 侦测器       | 无  | 容器       | 无  |
| 应用漏斗、投掷器 | 无  | 墙电、水电、光电 | 无  |      |    |

模块分支：封闭进位加法器
